public class BankAccount {
    
    // instance variables
    private int id;
    private double balance;
    
    // constructor
    public BankAccount(int newAccountID, double initialBalance) {
        this.id = newAccountID;
        this.balance = initialBalance;
    }
    
    // this method must be named "toString" and must return a String
    public String toString() {
        String s = "BankAccount " + this.id;
        return s;
    }
    
    public void inquiry() {
        System.out.println("Account " + this.id + " balance is $" + this.balance);
    }
    
    public void deposit(double amount) {
        this.balance = this.balance + amount;
    }
    
    public void withdraw(double amount) {
        this.balance = this.balance - amount;
    }

}
