// test program for CalendarDate

import java.util.Scanner;   // so we can use the Scanner class

public class TestCalendarDate {

    public static void main(String[] args) {
        Scanner keyboard = new Scanner(System.in);

        System.out.print("Enter the month (1-12): ");
        int month = Integer.parseInt(keyboard.nextLine());

        System.out.print("Enter the day (1-31): ");
        int day = Integer.parseInt(keyboard.nextLine());

        System.out.print("Enter the year: ");
        int year = Integer.parseInt(keyboard.nextLine());

        CalendarDate date = new CalendarDate(month, day, year);

        if (date.isValid() == false) {
            System.out.println("Sorry, that is not a valid date");
        } else {
            System.out.println(date);
            System.out.println("Hit RETURN to advance the date, or q to quit");
            while (true) {
                System.out.print("... ");
                String keyboardInput = keyboard.nextLine();
                if (keyboardInput.equals("q")) {
                    return;
                } else {
                    date.advanceOneDay();
                    System.out.println(date);
                }
            }
        }
    }
}
